Skip to main content
GET
/
v1.0.0
/
pv-inverters
/
{pvInverterId}
/
refresh
Refresh PV inverter data
curl --request GET \
  --url https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId}/refresh \
  --header 'X-API-KEY: <api-key>'
import requests

url = "https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId}/refresh"

headers = {"X-API-KEY": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};

fetch('https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId}/refresh', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "isOnline": true,
  "id": "6eb5497d-c6bb-4290-84ef-4409fe9501f1",
  "userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
  "staticData": {
    "lastUpdated": "2023-11-07T05:31:56Z",
    "name": "My device",
    "model": "Sunny Device",
    "siteName": "My Home"
  },
  "lastUpdated": "2023-11-07T05:31:56Z",
  "powerState": {
    "lastUpdated": "2023-11-07T05:31:56Z",
    "solarPower": 12
  },
  "locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}

Authorizations

X-API-KEY
string
header
required

API key used for authorization and authentication.

Path Parameters

pvInverterId
string<uuid>
required

PV inverter ID

Response

Successful operation

Object of PV inverter response.

isOnline
boolean
required

Indicates if the PV inverter is reachable trough the vendor system.

Example:

true

id
string<uuid>
required

The ID of the PV inverter device.

Example:

"6eb5497d-c6bb-4290-84ef-4409fe9501f1"

userId
string
required

The ID of the user.

Example:

"896f9d5a-b618-48a2-98ae-957059bf1bc9"

staticData
object
required

Object of static data of a home energy device.

lastUpdated
string<date-time>

The timestamp of the last update of any field in the PV inverter.

powerState
object

Object of power state of a PV inverter.

locationId
string<uuid>

The location ID of the battery.